astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Fittable2DModel

# Fittable2DModel

class `astropy.modeling.``Fittable2DModel`

  Bases: `astropy.modeling.FittableModel`

  Base class for two-dimensional fittable models.

  This class provides an easier interface to defining new models. Examples can be found in `astropy.modeling.functional_models`.

  Attributes Summary

  `inputs` |
  `outputs` |

  Methods Summary

  `__call__`(x, y[, model_set_axis]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  Attributes Documentation

  `inputs` = (u'x', u'y')
  `outputs` = (u'z',)

  Methods Documentation

  `__call__`(x, y, model_set_axis=None)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.